%define ocamlver 3.08.0-alt0.2
Name: findlib
Version: 1.0.4
Release: alt0.2

Group: Development/ML
Summary: A module packaging tool for OCaml
License: Distributable
Packager: Vitaly Lugovsky <vsl@altlinux.ru>
Url: http://www.ocaml-programming.de/packages/documentation/findlib/
Source: http://www.ocaml-programming.de/packages/%name-%version.tar.gz
#Patch: findlib-0.7-alt.patch
#Patch1: findlib-0.9-dynlibs1.patch
Requires: ocaml = %ocamlver

# Automatically added by buildreq on Mon Oct 13 2003
BuildRequires: camlp4 labltk libncurses-devel ocaml-runtime

BuildRequires: ocaml = %ocamlver

%package -n ocamlfind-mini
Summary: Minimal findlib script to be distributed with user libraries
Group: Development/ML
Requires: %name = %version-%release

%description

The "findlib" library provides a scheme to manage reusable software
components (packages), and includes tools that support this
scheme. Packages are collections of OCaml modules for which
metainformation can be stored. The packages are kept in the filesystem
hierarchy, but with strict directory structure. The library contains
functions to look the directory up that stores a package, to query
metainformation about a package, and to retrieve dependency
information about multiple packages. There is also a tool that allows
the user to enter queries on the command-line. In order to simplify
compilation and linkage, there are new frontends of the various OCaml
compilers that can directly deal with packages.

%description -n ocamlfind-mini

 ocamlfind-mini is an O'Caml script that implements a subset of the
full functionality of ocamlfind. It consists only of one file, so it
is easy to distribute it with any software.

The subset is normally sufficient to compile a library and to
install the library; but it is insufficient to link the library
into an executable. 



%prep
%setup -q

%build
./configure -mandir /usr/share/man -config /usr/lib/ocaml/etc/findlib.conf -with-toolbox
make all opt

%install
%define _compress_method skip
make prefix=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version
cp README INSTALL LICENSE $RPM_BUILD_ROOT%_docdir/%name-%version/

mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/ocamlfind-mini/
cp mini/* $RPM_BUILD_ROOT/usr/lib/ocaml/ocamlfind-mini/

%files -n ocamlfind-mini
%_libdir/ocaml/ocamlfind-mini/*

%files
%_bindir/*
%_libdir/ocaml/etc/*
%_libdir/ocaml/topfind
%_libdir/ocaml/site-lib/*
%_mandir/man?/*

%doc README doc/ INSTALL LICENSE

%changelog
* Sat Jul 17 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.0.4-alt0.2
- rebuild

* Wed Jul 07 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.0.4-alt0.1
- rebuild

* Fri May  7 2004 Alexander V. Nikolaev <avn@altlinux.org> 0.9-alt2.1
- Non-maintainer upload
- Add "packager" to spec
- Rebuild with glibc 2.3.x and ocaml 3.07-alt6.1

* Tue Jan 27 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.9-alt2
threads library issue fixed

* Tue Dec 16 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.9-alt1.1
rebuild


* Wed Oct 08 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.9-alt1
- A new version

* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.8-alt3s
- rebuild

* Thu Mar 06 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.8-alt2s
- added static libraries METAs

* Fri Jan 31 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.8-alt1s
- rebuild with ocaml-3.06 [Shared]

* Sun Oct 27 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.8-alt1
- new version

* Sun Aug 18 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.7.2-alt1
- new release

*Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.7.1-alt1
- new release

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.7-alt1
- new version released

*Tue Apr 16 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.6.2-alt6
- Rebuild with 3.04+9

*Sat Mar  2 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.6.2-alt4
- Rebuild with ocaml-3.04+7-alt1

*Sun Feb 17 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Rebuild with ocaml-3.04-alt4 (shared patch disabled)

*Mon Jan 14 2002 Vitaly Lugovsky <warlock@skeptik.net>
- First RPM release.
